CMSIS-Core (Cortex-A): Vector Base Address Register (VBAR)

| CMSIS-Core (Cortex-A) Version 1.2.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Vector Base Address Register (VBAR)
Core Register Access

When high exception vectors are not selected, the VBAR holds the exception base address for exceptions that are not taken to Monitor mode or to Hyp mode. More...

## Functions

__STATIC_FORCEINLINE uint32_t | __get_VBAR (void)
| Get VBAR. More...
__STATIC_FORCEINLINE void | __set_VBAR (uint32_t vbar)
| Set VBAR. More...

## Description

Bits | Name | Function
--- | --- | ---
[31:5] | VBA | Bits[31:5] of the base address of the low exception vectors.
[4:0] | - | Reserved.

Consider using __get_VBAR and __set_VBAR for accessing this register.

## Function Documentation

__STATIC_INLINE uint32_t __get_VBAR | ( | void |  | ) |

This function returns the value of the Vector Base Address Register.

Returns
  Vector Base Address Register

This function returns the value of the Vector Base Address Register (VBAR).

__STATIC_INLINE void __set_VBAR | ( | uint32_t | vbar | ) |

This function assigns the given value to the Vector Base Address Register.

Parameters

  [in] | vbar | Vector Base Address Register value to set

This function assigns the given value to the Vector Base Address Register (VBAR).